Loading...
Searching...
No Matches
oval_probe_session.c File Reference

OVAL probe session API implementation. More...

`#include <errno.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include "common/_error.h"`
`#include "common/bfind.h"`
`#include "common/debug_priv.h"`
`#include "public/oval_definitions.h"`
`#include "_oval_probe_session.h"`
`#include "_oval_probe_handler.h"`
`#include "oval_probe_impl.h"`
`#include "oval_probe_ext.h"`
`#include "probe-table.h"`
`#include "oval_types.h"`
`#include "crapi/crapi.h"`
Include dependency graph for oval_probe_session.c:

## Functions

oval_probe_session_t * | oval_probe_session_new (struct oval_syschar_model *model)
| Create and initialize a new probe session.
void | oval_probe_session_reinit (oval_probe_session_t *sess, struct oval_syschar_model *model)
| Reinitialize already allocated probe session inplace.
void | oval_probe_session_destroy (oval_probe_session_t *sess)
| Destroy probe session.
int | oval_probe_session_reset (oval_probe_session_t *sess, struct oval_syschar_model *sysch)
| Reset the session.
int | oval_probe_session_abort (oval_probe_session_t *sess)
| Abort the session.
struct oval_syschar_model * | oval_probe_session_getmodel (oval_probe_session_t *sess)
| Get system characteristics model from probe session.

## Detailed Description

OVAL probe session API implementation.

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m